[ARVADOS] updated: 93dea89cdc20082b6f22593279f6f6d11b9e6e52

git at public.curoverse.com git at public.curoverse.com
Mon Mar 10 11:07:25 EDT 2014


Summary of changes:
 docker/{install.rb => build.rb} |    0
 docker/build.sh                 |   43 +++++---------------------------------
 2 files changed, 6 insertions(+), 37 deletions(-)
 rename docker/{install.rb => build.rb} (100%)

       via  93dea89cdc20082b6f22593279f6f6d11b9e6e52 (commit)
      from  e7b601c25f6ac88e7adaf219f296c448d29c3904 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 93dea89cdc20082b6f22593279f6f6d11b9e6e52
Author: Tim Pierce <twp at curoverse.com>
Date:   Mon Mar 10 11:08:19 2014 -0400

    Add build.sh wrapper for build.rb, to make sure Ruby is installed. (Refs #2221)

diff --git a/docker/install.rb b/docker/build.rb
similarity index 100%
rename from docker/install.rb
rename to docker/build.rb
diff --git a/docker/build.sh b/docker/build.sh
index 6478f81..9473e01 100644
--- a/docker/build.sh
+++ b/docker/build.sh
@@ -1,42 +1,11 @@
 #! /bin/bash
 
-build_ok=true
-
-# Check that:
-#   * IP forwarding is enabled in the kernel.
-
-if [ "$(/sbin/sysctl --values net.ipv4.ip_forward)" != "1" ]
-then
-    echo >&2 "WARNING: IP forwarding must be enabled in the kernel."
-    echo >&2 "Try: sudo sysctl net.ipv4.ip_forward=1"
-    build_ok=false
-fi
-
-#   * Docker can be found in the user's path
-#   * The user is in the docker group
-#   * cgroup is mounted
-#   * the docker daemon is running
-
-if ! docker images > /dev/null 2>&1
+# make sure Ruby is installed before proceeding
+if ! ruby -v > /dev/null 2>&1
 then
-    echo >&2 "WARNING: docker could not be run."
-    echo >&2 "Please make sure that:"
-    echo >&2 "  * You have permission to read and write /var/run/docker.sock"
-    echo >&2 "  * a 'cgroup' volume is mounted on your machine"
-    echo >&2 "  * the docker daemon is running"
-    build_ok=false
+    echo "Installing Ruby. You may be required to enter your password."
+    sudo apt-get update
+    sudo apt-get install ruby
 fi
 
-#   * config.yml exists
-if [ '!' -f config.yml ]
-then
-    echo >&2 "WARNING: no config.yml found in the current directory"
-    echo >&2 "Copy config.yml.example to config.yml and update it with settings for your site."
-    build_ok=false
-fi
-
-# If ok to build, then go ahead and run make
-if $build_ok
-then
-    make $*
-fi
+./build.rb $*

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list